# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.(libudev not needed)
%global __requires_exclude ^libudev\\.so\\.0

# The software house
%global house dejobaangames


Name:           aaaaa-awesome32
Version:        0.0
Release:        1
Summary:        A base-jumping parachute game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.dejobaan.com/awesome/
# 5ef63278791a3cb4c046bdc66bc8c1d2  Aaaaa_Awesome_x86_Linux_1386720668.zip
Source0:        Aaaaa_Awesome_x86_Linux_1386720668.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
AaaaaAAaaaAAAaaAAAAaAAAAA!!! for the Awesome is a game about the dangerous
sport of base jumping for the kamikaze thrill seekers amongst us! Dive off of a
building into a spiraling world of modern-day Boston while trying to maneuver
your way through obstacles and oh yeah remember to open your parachute before
SPLAT, you've hit the ground! Get bonuses for flipping off the crowd or send
air kisses to your fans!


%prep
%setup -qcn %{name}-%{version}
# Some cleanups
rm -rf __MACOSX
find . -name "*.DS_Store" -exec rm -f '{}' \;
find Linux_x86/Awesome_Data -type f -exec chmod 0644 '{}' \;
find Linux_x86/Awesome_Data -type d -exec chmod 0755 '{}' \;
find Linux_x86/Awesome_Data -name "*.so" -exec chmod 0755 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Aaaaa for the Awesome (64bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./Awesome.x86 "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a Linux_x86/Awesome_Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 Linux_x86/Awesome.x86 %{buildroot}%{_datadir}/%{name}
install -p -m0644 Linux_x86/Awesome_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Dec 22 2013 RPMBuilder <> 0.0-1
- Initial Release
