# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping or the game won't work
%global __os_install_post %{nil}

# The software house
%global house 11bit


Name:           anomaly-korea
Version:        0.0
Release:        1
Summary:        Top down reverse tower defense game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.11bitstudios.com/games/13/anomaly-korea
# d8c892140a2fbda187411b7646b0b5e0  AnomalyKorea-lin_1371139237-Installer
Source0:        AnomalyKorea-lin_1371139237-Installer
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Anomaly Korea is a top-down reverse tower defense strategy game where you're
the invader. You'll need to plan a strategic route to guide your military
vehicles through the alien-infested streets of Korea. Use your resources and
money wisely and you’ll emerge unscathed.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some permissions
find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Anomaly: Korea
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 data/{*.dat,*.idx,*.png} %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/icon.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0755 data/AnomalyKorea %{buildroot}%{_datadir}/%{name}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/Copyright* data/README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Oct 27 2013 RPMBuilder <> - 0.0-1
- Initial Release
