# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# This package contains mixed binaries so set up some macros
%ifarch x86_64
%global namearch %{name}64
%else
%global namearch %{name}32
%endif

# The software house
%global house spiderweb

# Regularised name
%global rname Avadon


Name:           avadon
Version:        1.0
Release:        3
Summary:        Role playing fantasy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.spidweb.com/avadon/
# dba7e32cdd8b70f26c4b51f63f858302  avadon-linux-1331768904-bin
Source0:        %{name}-linux-1331768904-bin
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686 x86_64

%description
Avadon: The Black Fortress is a fantasy role playing game


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

%ifarch x86_64
chrpath -d data/%{rname}-amd64 || :
%else
chrpath -d data/%{rname}-x86 || :
%endif


%build
# Sane desktop file
cat >%{namearch}.desktop <<EOF
[Desktop Entry]
%ifarch x86_64
Name=Avadon: The Black Fortress (64bit)
%else
Name=Avadon: The Black Fortress (32bit)
%endif
Comment=%{summary}
Exec=%{namearch}
Icon=%{_datadir}/%{namearch}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{namearch}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{namearch} >/dev/null
./%{namearch} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{namearch} \
         %{buildroot}%{_datadir}/applications

%ifarch x86_64
cp -a data/%{rname}-amd64 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%else
cp -a data/%{rname}-x86 %{buildroot}%{_datadir}/%{namearch}/%{namearch}
%endif

cp -a data/%{name}\ files %{buildroot}%{_datadir}/%{namearch}
install -p -m0644 data/%{rname}.png %{buildroot}%{_datadir}/%{namearch}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{namearch}.desktop

install -p -m0755 %{namearch}.wrapper %{buildroot}%{_bindir}/%{namearch}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{namearch}.desktop


%files
%defattr(-,root,root,-)
%doc data/README-linux.txt
%{_bindir}/%{namearch}
%{_datadir}/%{namearch}
%{_datadir}/applications/%{house}-%{namearch}.desktop


%changelog
* Fri Jan 24 2014 RPMBuilder <> 1.0-3
- Various minor cleanups

* Fri Mar 29 2013 RPMBuilder <> 1.0-2
- Added missing dependency on mesa-libGL

* Fri Mar 30 2012 RPMBuilder <> 1.0-1
- Initial RPM Release