# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# These get included as part of Adobe Air
%global __requires_exclude ^libcurl\\.so|^libeggtray\\.so|^libhal\\.so\\.1|^libc\\.so\\.6\\(GLIBC_PRIVATE\\)|^libpacparser\\.so|^libCore\\.so|^libaddkey\\.so|^libadobecertstore\\.so|^libadobecp15\\.so|^libadobecp\\.so|^libflashplayer\\.so|^libWebKit\\.so

# The software house
%global house amanita


Name:           botanicula
Version:        0.0
Release:        2
Summary:        Point and click adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.botanicula.net
# cbe92cbf52511acedf18d4774ec0d91f  botanicula-20120501-i386.tar.gz
Source0:        %{name}-20120501-i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libcurl%{?_isa}
Requires:       libxml2%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       gtk2%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Botanicula follows the adventure of five botanical creatures (named
Mr. Lantern, Mr. Twig, Mr. Poppy Head, Mr. Feather and Mrs. Mushroom) that are
trying to save the last seed of their home tree from evil parasitic creatures
that have infested their home.


%prep
%setup -qcn %{name}-%{version}
# Fix non standard dir permissions
find %{name} -type d -exec chmod 0755 {} \;
find %{name} -type f -exec chmod 0644 {} \;
chmod 0755 %{name}/bin/adl \
           %{name}/runtimes/air/linux/Adobe\ AIR/Versions/1.0/{libCore.so,Resources/lib*,Resources/xdg-utils/*}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Botanicula
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
bin/adl bin/BotaniculaLinux-app.xml "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{name}/{bin,runtimes} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0644 %{name}/bin/data/icons/b48.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Aug 04 2014 RPMBuilder <> 0.0-2
- Minor updates and some permission fixes

* Sat Sep 29 2012 RPMBuilder <> 0.0-1
- Initial Release
