# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some dependencies (.* is important as dependency has a path)
%global __requires_exclude .*libIrrKlang\\.so

# The software house
%global house hasseyenterprises


Name:           dynamite-jack
Version:        1.0.23
Release:        3
Summary:        Dynamite Jack must blast his way to freedom
Group:          Amusements/Games
License:        Commercial
URL:            http://www.galcon.com/games/?action=game&name=dynamitejack
# 72eeb2829c98c16c308d13d54144515e  dynamitejack-1.0.23.tgz
Source0:        dynamitejack-%{version}.tgz
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  ImageMagick
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Dynamite Jack must blast his way to freedom! Jack, a brave space marine, armed
with only bombs and a flashlight, must escape the Anathema Mines! Use stealth
to sneak past guards and bombs to obliterate enemies in this intense top-down
action-adventure.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Dynamite Jack
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name}/bin >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/bin \
         %{buildroot}%{_datadir}/applications

cp -a dynamitejack/data %{buildroot}%{_datadir}/%{name}
install -p -m0755 dynamitejack/bin/main %{buildroot}%{_datadir}/%{name}/bin/%{name}
install -p -m0755 dynamitejack/bin/*.so %{buildroot}%{_datadir}/%{name}/bin

convert dynamitejack/data/icon32.bmp %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc dynamitejack/LINUX.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Jan 05 2014 RPMBuilder <> 1.0.23-3
- Modernize dependency filters
- Various minor cleanups

* Sat Jun 08 2013 RPMBuilder <> 1.0.23-2
- Added missing dep on alsa-plugins-pulseaudio

* Thu Mar 21 2013 RPMBuilder <> 1.0.23-1
- Initial Release
