# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house subatomic


Name:           fieldrunners32
Version:        1.0.0
Release:        1
Summary:        Tower defense game
Group:          Amusements/Games
License:        Commercial
URL:            http://subatomicstudios.com/games/fieldrunners
# 691f3ee0c441412e9a9a95cdb1bfb6f0  fieldrunners-1.0.0-32bit-1346296515.tar.gz
Source0:        fieldrunners-1.0.0-32bit-1346296515.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Fieldrunners is an award winning tower defense game developed by Subatomic
Studios. Descend into the world of Fieldrunners, the most anticipated and
visually stunning game in mobile Tower Defense history! Defend and control the
field using a diverse selection of upgradeable towers in a limitless adventure,
using a wide array of tactics and strategies against countless waves of unique
land and air combatants! Hours of entertainment and replayable challenges!


%prep
%setup -qcn %{name}-%{version}
# Fix some permissions
find fieldrunners -type d -exec chmod 0755 '{}' \;
find fieldrunners -type f -exec chmod 0644 '{}' \;
rm -f fieldrunners/fieldrunners/Data/UserInterface/{map_configuration_wide.form~,scores_wide.form~}
rm -f fieldrunners/fieldrunners/Data/Maps/Skyway/skywap.map~
chmod 0755 fieldrunners/fieldrunners/Fieldrunners


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Fieldrunners (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a fieldrunners/fieldrunners/Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 fieldrunners/fieldrunners/Fieldrunners %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 fieldrunners/fieldrunners/Data/UserInterface/icon_lava_tower_disabled.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc fieldrunners/README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Aug 03 2014 RPMBuilder <> 1.0.0-1
- Initial RPM Release
