# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house hassey


Name:           galcon-legends
Version:        0.0
Release:        1
Summary:        Conquer the galaxy strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.galcon.com/legends/
# 08dc7045722538fef29350dcbe25eca5  galconlegends_linux.tgz
Source0:        galconlegends_linux.tgz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Join Buck the bill collector as he unites the galaxy against the forces of
evil. Send swarms of ships to defeat enemy planets and conquer the universe!


%prep
%setup -qcn %{name}-%{version}
find GalconLegends -type d -exec chmod 0755 '{}' \;
find GalconLegends -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Galcon Legends
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#

# This is here because %{name} seems to create the config
# file with a clear text username and password which is
# possibly world and group readble
umask 077

pushd %{_datadir}/%{name}/bin >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/bin \
         %{buildroot}%{_datadir}/applications

cp -a GalconLegends/data %{buildroot}%{_datadir}/%{name}
install -p -m0755 GalconLegends/bin/main %{buildroot}%{_datadir}/%{name}/bin/%{name}
install -p -m0644 GalconLegends/data/icon.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc GalconLegends/LINUX.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Jul 30 2014 RPMBuilder <> 0.0-1
- Initial Release
