# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Filter some requires
%global __requires_exclude ^libSDL2-2\\.0\\.so\\.1

# The software house
%global house bigsandwich


Name:           hoard
Version:        12.31.2013.0
Release:        2
Summary:        Dragon strategy arcade game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.hoardgame.com
# 052f1325b4de3ad73eb3ae538e3802c5  Hoard_linux_1390850853.sh
Source0:        Hoard_linux_1390850853.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       systemd-libs%{?_isa}
ExclusiveArch:  i686

%description
You are the dragon in this unique strategy arcade game with more than 30
different levels and four game modes. Scare villages, burn castles, kidnap
princesses, roast pesky knights and more. You can also compete or team up with
other dragons in epic multiplayer battles. Your goal is simple, but the
strategy isn't: build the biggest pile of gold that you can! Multiplayer mode
is only available on Steam.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

find data/noarch -type d -exec chmod 0755 '{}' \;
find data/noarch -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=HOARD
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name}/platform >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/{data,encrypteddata,platform} %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}/platform/%{_lib}
install -p -m0755 data/x86/platform/Reuben.bin.x86 \
                  %{buildroot}%{_datadir}/%{name}/platform/%{name}
install -p -m0755 data/x86/platform/%{_lib}/libSDL2-2.0.so.1 \
                  %{buildroot}%{_datadir}/%{name}/platform/%{_lib}
install -p -m0644 data/noarch/Icon_Hoard.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/noarch/README.linux
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Mar 22 2014 RPMBuilder <> 12.31.2013.0-2
- Updated to latest binary release

* Sat Jan 18 2014 RPMBuilder <> 12.31.2013.0-1
- Initial Release
