# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house playdead


Name:           limbo
Version:        0.0
Release:        1
Summary:        Puzzle platform video game
Group:          Amusements/Games
License:        Commercial
URL:            http://playdead.com/limbo/
# 9b453abcb859c31cc645a7207de08329  Limbo-Linux-2014-06-18.sh
Source0:        Limbo-Linux-2014-06-18.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
The primary character in Limbo is a nameless boy, who awakens in the middle of
a forest on the "edge of hell" (the game's title is taken from the Latin
limbus, meaning "edge"). While seeking his missing sister, he encounters only a
few human characters, who either attack him, run away, or are dead. At one
point during his journey, he encounters a female character, who abruptly
vanishes before he can reach her. The forest eventually gives way to a
crumbling city environment. 


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some permissions
find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Limbo
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a data/data %{buildroot}%{_datadir}/%{name}
install -p -m0755 data/%{name} %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/%{name}.png %{buildroot}%{_datadir}/%{name}
install -p -m0655 data/%{name}.bmp %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/settings.txt %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/limbo_mac_boot.pkg %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/limbo_mac_runtime.pkg %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/README-linux.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Aug 03 2014 RPMBuilder <> 0.0-1
- Initial RPM Release
