# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house jasperbyrne


Name:           lonesurvivor
Version:        1.11d
Release:        2
Summary:        Adult psychological horror game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.lonesurvivor.co.uk
# c267e7b6c9a20ca40ee8e795bc92a3fa  lonesurvivor-1.11d-1-i386.tar.gz
Source0:        %{name}-%{version}-1-i386.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libcurl%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
From the creator of Soul Brother and Soundless Mountain II, comes an original
and adult psychological horror. The masked protagonist must escape from a city
ravaged by disease, by any means.  Starving and exhausted, he has begun to
question how much of what he sees is even real. A new kind of adventure where
the choice of how to survive is up to you.  Sneak through without firing a
single shot, or kill everything in your path.  Eat and sleep well, or resort to
drugs to keep going. Search for survivors, or try to escape the city alone.
Look after your mental health, or descend into madness...


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Lone Survivor
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -m0755 %{name}/LoneSurvivor %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{name}/LoneSurvivor.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Mar 30 2013 RPMBuilder <> 1.11d-2
- Adding missing dependency on libcurl

* Tue Sep 25 2012 RPMBuilder <> 1.11d-1
- Initial Release
