# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfmodex-4\\.44\\.20\\.so|^libsteam_api\\.so

# The software house
%global house pocketwatch


Name:           monaco
Version:        1.0
Release:        1
Summary:        Single player or co-op heist game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.monacoismine.com
# 0c9dd0ca759f302d55d690f6ce9b2c3a  Monaco-Linux-2014-05-07.sh
Source0:        Monaco-Linux-2014-05-07.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
What's Yours Is Mine is a single player or co-op heist game. Assemble a crack
team of thieves, case the joint, and pull off the perfect heist.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Fix some permissions
find data/noarch -type d -exec chmod 0755 '{}' \;
find data/noarch -type f -exec chmod 0644 '{}' \;
find data/noarch -name "*.DS_Store" -exec rm -f '{}' \;

# Move for later
mv data/noarch/README.linux .


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Monaco
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/Monaco.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/%{_lib} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/* %{buildroot}%{_datadir}/%{name}
install -m0755 data/x86/Monaco.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -m0755 data/x86/%{_lib}/lib{fmodex-4.44.20.so,steam_api.so} %{buildroot}%{_datadir}/%{name}/%{_lib}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc README.linux
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Sep 28 2014 RPMBuilder <> - 1.0-1
- Initial Release
