# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house devolverdigital


Name:           olliolli
Version:        0.0
Release:        1
Summary:        Skateboarding game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.roll7.co.uk/#!olliolli/c1ic0
# 8a652f2dba35688b52b5272e90855960  olliolli_linux_1414459118.tar.bz2
Source0:        olliolli_linux_1414459118.tar.bz2
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libpng12%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
OlliOlli mixes addictive one-life gameplay with over 120 tricks and grinds
across 50 deviously crafted levels, 250 Challenges, Spots Mode, and Daily
Grind. Complete all challenges to unlock the super skillful RAD Mode! Rack up
the biggest and coolest combos along the way before timing your landing to
perfection to rule the leaderboards. Compete across the world in all modes to
get the highest scores on every Level and Spot. Daily Grind gives you 24 hours
to challenge the world at a randomly selected Spot. You can practice as many
times as you like, but you only get one chance to set your score.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=OlliOlli
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -p -m0644 linux32/pak0.pak %{buildroot}%{_datadir}/%{name}
install -p -m0755 linux32/linux32 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Nov 03 2014 RPMBuilder <> 0.0-1
- Initial Release
