# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 4.5GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libPhysXCo.*|^libsteam_api\\.so|^libtcmalloc\\.so\\.0

# The software house
%global house minority


Name:           papo-and-yo
Version:        0.0
Release:        1
Summary:        Platform puzzler, search for a cure for Monster
Group:          Amusements/Games
License:        Commercial
URL:            http://www.weareminority.com/papo-yo/
# d8222b87222f4eb05025584bf923da41  PapoYo_linux_1389070953.sh
Source0:        PapoYo_linux_1389070953.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       systemd-libs%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Follow Quico, an inquisitive little boy who spends his time exploring and
adventuring with his burly best friend, Monster. There's only one problem,
Monster has a horrible addiction to poisonous frogs that sends him into a
frog-induced rage, where no one in his path is safe. This platformer puzzler
asks you to join Quico and his beloved friend, Monster, as they search for
a cure for his crippling disease.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

find data/noarch -type d -exec chmod 0755 '{}' \;
find data/noarch -type f -exec chmod 0644 '{}' \;

sed -i 's/\r//' data/noarch/{about.html,README.linux}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Papo & Yo
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/PapoYoIcon.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name}/Binaries/Linux >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/Binaries/Linux/%{_lib} \
         %{buildroot}%{_datadir}/applications

cp -a data/noarch/{Engine,PYGame} %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/noarch/PapoYoIcon.* %{buildroot}%{_datadir}/%{name}
install -p -m0755 data/x86/Binaries/Linux/PYGame-Linux \
                  %{buildroot}%{_datadir}/%{name}/Binaries/Linux/%{name}
install -p -m0644 data/x86/Binaries/Linux/steam_appid.txt \
                  %{buildroot}%{_datadir}/%{name}/Binaries/Linux
install -p -m0755 data/x86/Binaries/Linux/%{_lib}/lib{PhysXCo*,steam_api.so,tcmalloc.so.0} \
                  %{buildroot}%{_datadir}/%{name}/Binaries/Linux/%{_lib}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/noarch/{BuildVersion.txt,README.linux,UpdateLog.txt,about.html}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Jan 11 2014 RPMBuilder <> - 0.0-1
- Initial Release
