# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# This is really an expansion to penumbra-blackplague and so requires that
# RPM to also be installed

# We don't want this RPM to be a provider for anything its bundled with
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house frictionalgames


Name:           penumbra-requiem
Version:        1.1.1
Release:        1
Summary:        First Person Horror Adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.penumbragame.com
# afb1fdc4155967a014214f92d30cf973  PenumbraCollection-SDL2-1.1.1-4.sh
Source0:        PenumbraCollection-SDL2-1.1.1-4.sh
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       penumbra-blackplague%{?_isa} = %{version}-%{release}
ExclusiveArch:  i686

%description
An expansion pack to the game Penumbra: Blackplague. The game starts as the
last one ends, with Philip sending the 'kill them all' message. As soon as he
finishes, one of the Infected barges in and hits Phillip on the head with
something unseen. The player then controls a character in some kind of tomb.
Items need to be collected in each chamber in order to move on to the next. In
the journey, the player starts to see familiar places from other parts of the
facility and begins to receive communications from persons who Philip had
encountered previously, such as Dr. Richard Emminis who Philip encountered in
the Computer Room of Black Plague, a member of the Archaic Elevated Caste
called Ellof Carpenter, as well as a person who later identifies himself as
Philip's former adviser, Red, from the first Penumbra game. As time goes on
various strange happenings occur, such as the Computer referring to both Philip
and the Player directly by name as well as more bizarre environments and
puzzles. The game, and the entire series, has two possible endings. 


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

chrpath -d data/BlackPlague/requiem.bin 2>/dev/null || : 
find data/BlackPlague -type d -exec chmod 0755 '{}' \;
find data/BlackPlague -type f -exec chmod 0644 '{}' \;
find data/BlackPlague -iname "Thumbs.db" -exec rm -f '{}' \; 


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Penumbra: Requiem
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/penumbra-blackplague/requiem.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/penumbra-blackplague >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/penumbra-blackplague \
         %{buildroot}%{_datadir}/applications

cp -a data/BlackPlague/expansion01 %{buildroot}%{_datadir}/penumbra-blackplague

install -p -m0755 data/BlackPlague/requiem.bin %{buildroot}%{_datadir}/penumbra-blackplague/%{name}
install -p -m0644 data/BlackPlague/{requiem_materials.cfg,requiem_resources.cfg,requiem.png} \
                  %{buildroot}%{_datadir}/penumbra-blackplague

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/penumbra-blackplague/expansion01
%{_datadir}/penumbra-blackplague/%{name}
%{_datadir}/penumbra-blackplague/requiem_materials.cfg
%{_datadir}/penumbra-blackplague/requiem_resources.cfg
%{_datadir}/penumbra-blackplague/requiem.png
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Dec 23 2014 RPMBuilder <> 1.1.1-1
- Initial RPM Release
