# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything it's bundled with,
# although we remove bundles where practical
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libbass\\.so|^libtxc_dxtn\\.so

# The software house
%global house ratloop


Name:           rocketbirds
Version:        0.0
Release:        3
Summary:        Action-packed cinematic adventure
Group:          Amusements/Games
License:        Commercial
URL:            http://www.rocketbirds.com
# 7c5e6da4cd7fc7f2f51861f8b96a386f  Rocketbirds20130917.sh
Source0:        Rocketbirds20130917.sh
NoSource:       0
BuildRequires:  desktop-file-utils
BuildRequires:  xz-lzma-compat
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       systemd-libs%{?_isa} 
ExclusiveArch:  i686

%description
Rocketbirds follows Hardboiled Chicken, who's a bit like Arnie in chicken form,
on his action-packed, cinematic adventure to take down the evil regime
dominating Albatropolis, which is lead by a totalitarian penguin Putzki.


%prep
%setup -Tqcn %{name}-%{version}
echo "NOTE: IT IS SAFE TO IGNORE THE TAR BUG : Not found in archive"
mkdir %{name}

# Rip the contents from the nixinstaller package
sh %{SOURCE0} --tar x --to-stdout ./instarchive_all | tar x --lzma -C %{name}
sh %{SOURCE0} --tar x --to-stdout ./instarchive_linux_all | tar x --lzma -C %{name}

# Clean ups
rm -f %{name}/%{_lib}/{libCg*,libSDL2-2.0.so.0}
find %{name}/Data -type d -exec chmod 0755 '{}' \;
find %{name}/Data -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Rocketbirds
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}/%{_lib}

cp -a %{name}/Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{name}/%{_lib}/* %{buildroot}%{_datadir}/%{name}/%{_lib}
install -p -m0755 %{name}/rocketbirds.bin.x86 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 %{name}/Rocketbirds.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Mar 22 2014 RPMBuilder <> 0.0-3
- Added missing dep

* Wed Jan 08 2014 RPMBuilder <> 0.0-2
- Modernize RPM filters
- Various minor clean-ups
- Unbundle SDL2

* Fri Sep 27 2013 RPMBuilder <> 0.0-1
- Initial Release
