# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house amanita


Name:           samorost2
Version:        0.0
Release:        1
Summary:        Point and click adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://amanita-design.net/samorost-2/
# 6cd3b70717ee172376e042038797e7ae  samorost2_linux.zip
Source0:        %{name}_linux.zip
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
# Ensure at least one browser is installed. This game also requires a flash
# plugin but there's many ways to get flash so we leave it up to the
# browser to warn.
Requires:       webclient
Requires:       xdg-utils
BuildArch:      noarch


%description
A point and click adventure game from the makers of Machinarium written in
flash


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Samorost 2
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
#
# Launch the game in a browser. We use xdg-open so it uses the preferred
# browser. This can be overridden for this game by placing a variable in
# the file \${HOME}/.%{name}-browser of the form
# export BROWSER=<mybrowser>

if [ -f "\${HOME}/.%{name}-browser" ] ; then
    source "\${HOME}/.%{name}-browser"
fi

if [ -n "\${BROWSER}" ] ; then
    \${BROWSER} %{_datadir}/%{name}/Samorost2.html &
else
    xdg-open %{_datadir}/%{name}/Samorost2.html &
fi
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/{%{name},applications}

install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}
rm -f %{name}.wrapper

cp -a * %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Sep 25 2013 RPMBuilder <> 0.0-1
- Minor spec cleanups

* Thu Mar 01 2012 RPMBuilder <> 0-1_unknown_0
- Disable building a debuginfo package under any circumstances
- Convert defines to globals
- Added house global

* Sat Nov 12 2011 RPMBuilder <> 0-0_unknown_0
- Initial Release
