# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 10GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libfmode.*

# The software house
%global house klei


Name:           shank
Version:        0.0
Release:        3
Epoch:          1
Summary:        2D Cinematic brawler
Group:          Amusements/Games
License:        Commercial
URL:            http://www.shankgame.com
# f42fb76ad67316c3d7fa5378ad9c5f57  shank-linux-120720110-1-bin
Source0:        %{name}-linux-120720110-1-bin
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       alsa-lib%{?_isa}
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       mesa-libGL%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Shank is a 2D cinematic brawler inspired by classic beat ‘em ups and graphic
novels. With some of the most fluid animation seen in a video game, embark on
a tale of revenge using chainsaws, dual pistols, knives and more.


%prep
%setup -Tqcn %{name}-%{version}
mkdir %{name}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0} -d %{name}`


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Shank
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name}/bin >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/bin \
         %{buildroot}%{_datadir}/applications

cp -a %{name}/data/{data,data-pc,reslists} %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{name}/data/bin/Shank %{buildroot}%{_datadir}/%{name}/bin/%{name}
install -p -m0755 %{name}/data/bin/libfmode{vent-4.30.02.so,x-4.30.02.so} %{buildroot}%{_datadir}/%{name}/bin

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

# Install the wrapper
install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc %{name}/data/README-linux.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Jan 08 2014 RPMBuilder <> 1:0.0-3
- Modernized dependency filters
- Various minor clean-ups
- Added epoch
- Added missing dependencies

* Sun Mar 31 2013 RPMBuilder <> 120720110-2
- Added missing dependency on libGL

* Tue May 22 2012 RPMBuilder <> 120720110-1
- Initial Release
