# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono.*|^libudev\\.so\\.0

# The software house
%global house bossa


Name:           surgeon-simulator-2013
Version:        0.0
Release:        1
Summary:        A surgeon simulator game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.surgeonsimulator2013.com
# 4272870fc95b1ac917fd99539df74466  surgeonsimulator2013_linux_1388171186.zip
Source0:        surgeonsimulator2013_linux_1388171186.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Are you a disappointment to your parents because you didn't go to medical
school? Do they lecture you all the time about your life choices? Well, fret no
longer and get ready to brag because Surgeon Simulator 2013 is here! Now you
can be a full-fledged surgeon in a matter of minutes! Grab a scalpel and maybe
gloves, strap in your patient and get ready because you'll be the first doctor
to accomplish one-handed surgery in an ambulance! Take that, mom and dad!


%prep
%setup -qcn %{name}-%{version}
find ss2013_Data -type d -exec chmod 0755 '{}' \;
find ss2013_Data -type f -exec chmod 0644 '{}' \;
chmod 0755 ss2013_Data/Plugins/x86/*.so ss2013_Data/Mono/x86/libmono.so


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Surgeon Simulator 2013
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;Simulation;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./ss2013.bin "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a ss2013_Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 ss2013.bin %{buildroot}%{_datadir}/%{name}
install -p -m0644 ss2013_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Jan 11 2014 RPMBuilder <> - 0.0-1
- Initial Release
