# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# We don't want this RPM to be a provider for anything
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. Little we can do with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libfmode.*

# The software house
%global house drinkboxstudios


Name:           tfs-mutant-blobs-attack
Version:        0.0
Release:        1
Summary:        A sci-fi puzzle platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://mutantblobsattack.com
# 65a0a73a4063a2b4dc606d477efb7191  MutantBlobsAttack_linux_1414459118.sh
Source0:        MutantBlobsAttack_linux_1414459118.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Tales from Space: Mutant Blobs Attack is a sci-fi puzzle-platformer of
cataclysmic proportions. You're a Blob of alien origin with mutant powers and
an insatiable appetite. To the great horror of your former captors (and all of
humanity), you have escaped into the world. Consume Everything! Regret Nothing!


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`

# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d data/x86/game-bin || :

find data -type d -exec chmod 0755 '{}' \;
find data -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=TFS: Mutant Blobs Attack
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrappers for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}/%{_lib}

install -p -m0644 data/noarch/*.dat %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/noarch/*.ogl %{buildroot}%{_datadir}/%{name}
install -p -m0644 data/noarch/MBA.png %{buildroot}%{_datadir}/%{name}
install -p -m0755 data/x86/lib32/libfmode* %{buildroot}%{_datadir}/%{name}/%{_lib}
install -p -m0755 data/x86/game-bin %{buildroot}%{_datadir}/%{name}/%{name}
cp -a data/noarch/media %{buildroot}%{_datadir}/%{name}
pushd %{buildroot}%{_datadir}/%{name}
ln -s MBA.png %{name}.png
popd

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc data/noarch/README.linux
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Nov 10 2014 RPMBuilder <> 0.0-1
- Initial Release
