# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping or the game won't work
%global __os_install_post %{nil}

# The software house
%global house 11bit


Name:           anomaly2
Version:        0.0
Release:        1
Summary:        Top down reverse tower defense game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.anomaly2game.com
# 46f0ecd5363106e9eae8642836c29dfc  Anomaly2_Linux_1387299615.zip
Source0:        Anomaly2_Linux_1387299615.zip
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       openal-soft%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Anomaly 2 the sequel to Anomaly: Warzone Earth is an intense reversal of the
tower defense formula, with players managing a convoy's path through various
war torn environments. Careful planning of power-ups, unit composition and
more will make or break your journey. Anomaly 2 has all the core elements of
its predecessor with added features to single-player campaigns, dynamic
tower-defense and tower-offense multiplayer mode!


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Anomaly 2
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 Anomaly\ 2\ Linux\ DRM-free/{*.dat,*.idx} %{buildroot}%{_datadir}/%{name}
install -p -m0755 Anomaly\ 2\ Linux\ DRM-free/Anomaly2 %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Dec 23 2013 RPMBuilder <> - 0.0-1
- Initial Release
