# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house edflo


Name:           binding-of-isaac
Version:        20111101
Release:        2
Summary:        Randomly generated action RPG shooter with heavy Rogue-like elements
Group:          Amusements/Games
License:        Commercial
URL:            http://www.bindingofisaac.com
# e7cd11c0359054db92f6cd3e16a666bf  binding-of-isaac_20111101_i386.tar.gz
Source0:        %{name}_%{version}_i386.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libcurl%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
When Isaac's mother starts hearing the voice of God demanding a sacrifice be
made to prove her faith, Isaac escapes into the basement facing droves of
deranged enemies, lost brothers and sisters, his fears, and eventually his
mother.
Following Isaac on his journey, players will find bizarre treasures that change
Isaac's form giving him super human abilities and enabling him to fight off
droves of mysterious creatures, discover secrets and fight his way to safety.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=The Binding of Isaac
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

install -p -m0755 isaac %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Feb 06 2013 RPMBuilder <> 20111101-2
- Added libcurl dep

* Sat May 19 2012 RPMBuilder <> 20111101-1
- Initial Release
