# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libfmode.*

# The software house
%global house gaijin


Name:           bit-trip-runner232
Version:        1.0
Release:        2
Summary:        Rhythm based action platforming
Group:          Amusements/Games
License:        Commercial
URL:            http://www.runner2.com
# ea105bdcd486879fb99889b87e90eed5  runner2_i386_1388171186.tar.gz
Source0:        runner2_i386_1388171186.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686
Obsoletes:      bit-trip-runner2

%description
On your mark. Get ready. Get set. GO! The exciting sequel to Bit Trip runner is
finally here! Runner2: Future Legend of Rhythm Alien will have you dashing
across five exciting worlds featuring monstrous bosses and over 100 levels of
dirt-tracking madness! You'll have to be lightning fast to catch the evil
Timbletot, bent on destroying the world. Runner2: Future Legend of Rhythm Alien
uses delightfully-quirky graphics and crisp visuals for your eyes to feast on.


%prep
%setup -qcn %{name}-%{version}
# Fix non standard dir permissions
find runner2-%{version} -type d -exec chmod 0755 {} \;
find runner2-%{version} -type f -exec chmod 0644 {} \;
chmod 0755 runner2-%{version}/runner2/{lib*,runner2}

sed -i 's/\r//' runner2-%{version}/README.html
mv runner2-%{version}/runner2/runner2 runner2-%{version}/runner2/%{name}
mv runner2-%{version}/runner2/Runner2.png runner2-%{version}/runner2/%{name}.png


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Bit.Trip Runner 2 (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a runner2-%{version}/runner2/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc runner2-%{version}/{README,README.html}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Mon Aug 04 2014 RPMBuilder <> 1.0-2
- Upgraded to latest binary release

* Sat Jan 11 2014 RPMBuilder <> 1.0-1
- Initial Release
