# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house mojang


Name:           catacomb-snatch
Version:        0.0
Release:        1
Summary:        Explore and shoot
Group:          Amusements/Games
License:        Commercial
URL:            http://www.humblebundle.com
# 339f463a1995be85e62d30d0350ac66b  mojam.jar
Source0:        mojam.jar
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       java >= 1.7.0
Requires:       pulseaudio-libs
BuildArch:      noarch

%description
Game produced as part of the Humble Bundle 'Game Jam'.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Catacomb Snatch
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
java -jar %{_datadir}/%{name}/mojam.jar
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 %{SOURCE0} %{buildroot}%{_datadir}/%{name}
install -p -m0644 bomb.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Dec 16 2014 RPMBuilder <> 0.0-1
- Fixed for Fedora 21

* Wed Mar 28 2012 RPMBuilder <> 0-0_unknown_0
- Initial Release
