# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# We need to exclude some requires as they are bundled.
%global __requires_exclude libIrrKlang\\.so

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house hassey


Name:           galcon-fusion
Version:        1.9.10
Release:        1
Summary:        Conquer the galaxy strategy game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.galcon.com/fusion/
# ad7781d4eadd9612a5fb6f026073e126  galconfusion_linux_1401208489.tgz
Source0:        galconfusion_linux_1401208489.tgz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       alsa-lib%{?_isa}
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libXcursor%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Conquer the Galaxy like never before! Galcon Fusion is an awesome high-paced
multi-player galactic arcade-strategy game. Send swarms of ships to defeat
enemy planets and conquer the universe!


%prep
%setup -qcn %{name}-%{version}
find gfusion -type d -exec chmod 0755 '{}' \;
find gfusion -type f -exec chmod 0644 '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Galcon Fusion
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;StrategyGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#

# This is here because %{name} seems to create the config
# file with a clear text username and password which is
# possibly world and group readble
umask 077

pushd %{_datadir}/%{name}/bin >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/bin \
         %{buildroot}%{_datadir}/applications

cp -a gfusion/data %{buildroot}%{_datadir}/%{name}
install -p -m0755 gfusion/bin/sdlapp %{buildroot}%{_datadir}/%{name}/bin/%{name}
install -p -m0755 gfusion/bin/libIrrKlang.so %{buildroot}%{_datadir}/%{name}/bin
install -p -m0644 gfusion/data/loader.png %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc gfusion/README.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Jul 29 2014 RPMBuilder <> 1.9.10-1
- Initial Release
