# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house vapgames


Name:           intrusion2
Version:        1.024
Release:        1
Summary:        Fast paced 2D action platformer
Group:          Amusements/Games
License:        Commercial
URL:            http://www.intrusion2.com
# de6a30d7fb3d117065f11743b4f0a13a  intrusion2-1370288626-bin
Source0:        %{name}-1370288626-bin
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libcurl%{?_isa}
Requires:       libXt%{?_isa}
Requires:       nss%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Suit up in a bright red scarf in this fast-paced 2-D action platformer.
Culminating in a merciless and epic final boss fight, Intrusion 2 brings
rag-doll physics to classic side-scrolling arcade shooters. Fight your way
through 9 dizzying levels of enemies, 3 multi-stage boss battles and 3 modes
of difficulty.


%prep
#Intentionally Empty


%build
# Sane desktop file
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Intrusion 2
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -m0755 %{SOURCE0} %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Thu Jun 06 2013 RPMBuilder <> 1.024-1
- Initial Release
