# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono\\.so

# The software house
%global house ludosity


Name:           ittle-dew
Version:        1.4
Release:        1
Summary:        Cartoon puzzle adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.ittledew.com
# 84d8fe3ab28c418d92821af92c0325b5  ittledew_Linux_1.4.zip
Source0:        ittledew_Linux_1.4.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       gtk2%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Filled with hundreds of secrets and shortcuts, this game is designed for
speedrunning and you're encouraged to complete the game with different setups
of tools and weapons. There are online leaderboards for all the ways in which
you can complete the game.


%prep
%setup -qcn %{name}-%{version}
find ittledew_Linux_1.4 -type d -exec chmod 0755 '{}' \;
find ittledew_Linux_1.4 -type f -exec chmod 0644 '{}' \;
chmod 0755 ittledew_Linux_1.4/{IttleDew_linux.x86,IttleDew_linux_Data/Mono/x86/libmono.so}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Ittle Dew
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./IttleDew_linux.x86 "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a ittledew_Linux_1.4/IttleDew_linux_Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 ittledew_Linux_1.4/IttleDew_linux.x86 %{buildroot}%{_datadir}/%{name}
install -p -m0644 ittledew_Linux_1.4/IttleDew_linux_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Aug 03 2014 RPMBuilder <> 1.4-1
- Upgraded to latest binary release

* Wed Jul 30 2014 RPMBuilder <> 1.1.0-1
- Initial Release
