# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house owlchemylabs


Name:           jack-lumber32
Version:        1.5.4
Release:        1
Summary:        A tree-cutting action game
Group:          Amusements/Games
License:        Commercial
URL:            http://jacklumbergame.com
# 847561d0e0012d6d54a1c97d89772b4f  JackLumber_Linux_x86_1386784693.zip
Source0:        JackLumber_Linux_x86_1386784693.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXinerama%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       xdg-utils
ExclusiveArch:  i686

%description
Jack Lumber is on a mission to obliterate each and every tree in the forest to
avenge the life of his beautiful and sweet granny. The magical Jack awakens
his tree-cutting, time-freezing powers to slash his way through great forests.
Watch out for the one-way slashing logs or maple-filled logs that challenge
your slicing and time-freezing abilities! Enjoy the punny humor sprinkled
throughout the game with phrases like, "I got 99 problems but a birch ain't
one" courtesy of OwlchemyLabs!


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Jack Lumber (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./JackLumber.x86 "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a Linux_x86/JackLumber_Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 Linux_x86/JackLumber.x86 %{buildroot}%{_datadir}/%{name}
install -p -m0644 Linux_x86/JackLumber_Data/Resources/UnityPlayer.png \
                  %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Dec 28 2013 RPMBuilder <> 1.5.4-1
- Initial Release
