# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house llc


Name:           papers-please
Version:        1.1.65
Release:        1
Summary:        A dystotopian document thriller
Group:          Amusements/Games
License:        Commercial
URL:            http://papersplea.se
# c0532e1cf6e62c5360ea0cd880f03ac5  papers-please_1.1.65_i386.tar.gz
Source0:        %{name}_%{version}_i386.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       libXinerama%{?_isa}
Requires:       libXrandr%{?_isa}
Requires:       libXScrnSaver%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Congratulations. The October labor lottery is complete. Your name was pulled.
For immediate placement, report to the The Ministry of Admission at Grestin
Border Checkpoint.  
An apartment will be provided for you and your family in East Grestin. Expect
a Class-8 dwelling. Glory to Arstotzka.
The communist state of Arstotzka has just ended a 6-year war with neighboring
Kolechia and reclaimed its rightful half of the border town, Grestin. Your job
as immigration inspector is to control the flow of people entering the
Arstotzkan side of Grestin from Kolechia. Among the throngs of immigrants and
visitors looking for work are hidden smugglers, spies, and terrorists. Using
only the documents provided by travelers and the Ministry of Admission's
primitive inspect, search, and fingerprint systems you must decide who can
enter Arstotzka and who will be turned away or arrested.


%prep
%setup -qcn %{name}-%{version}
# Some permission fixes
find %{name} -type d -exec chmod 0755 {} \;
find %{name} -type f -exec chmod 0644 {} \;

rm -f %{name}/loc/_put_language_packs_here

%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Papers, Please
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{name}/{assets,loc} %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{name}/{boot.xml,manifest} %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{name}/{*.dso,*.ndll} %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{name}/PapersPlease %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%doc %{name}/{LICENSE,README}
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Sep 27 2014 RPMBuilder <> 1.1.65-1
- Initial Release
