# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to filter some requires
%global __requires_exclude ^libssl\\.so\\.1\\.0\\.0|^libcrypto\\.so\\.1\\.0\\.0

# The software house
%global house hopoogames


Name:           risk-of-rain
Version:        0.0
Release:        1
Summary:        Action platformer with rogue-like elements
Group:          Amusements/Games
License:        Commercial
URL:            http://riskofraingame.com
# d384bc38fced4357506f76fa59942291  RoR-Linux-2014-10-30.sh
Source0:        RoR-Linux-2014-10-30.sh
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
With permanent death as a primary feature, players will have to play their best
to get as far as possible. Fight on a mysterious planet through a wide variety
of randomly chosen stages inhabited by randomly spawning enemies and bosses,
either alone or with three friends in online co-op. With over 100 items at your
disposal, you'll find the tools you need to find the teleporter to head back
home, but that doesn't mean it'll be easy.


%prep
%setup -Tqcn %{name}-%{version}
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Risk of Rain
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
export LD_LIBRARY_PATH=\$LD_LIBRARY_PATH:%{_datadir}/%{name}/%{_lib}
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{house}-%{name}.desktop


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name}/assets \
         %{buildroot}%{_datadir}/%{name}/%{_lib} \
         %{buildroot}%{_datadir}/applications

install -p -m0644 data/noarch/assets/* %{buildroot}%{_datadir}/%{name}/assets
install -p -m0644 data/noarch/assets/icon.png %{buildroot}%{_datadir}/%{name}/%{name}.png
install -p -m0755 data/x86/ROR.bin %{buildroot}%{_datadir}/%{name}/%{name}
install -p -m0755 data/x86/%{_lib}/* %{buildroot}%{_datadir}/%{name}/%{_lib}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Tue Nov 04 2014 RPMBuilder <> 0.0-1
- Initial Release
