# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# Disable stripping as the comment note fields are (mis)used
%global __os_install_post %{nil}

# The software house
%global house owlchemylabs


Name:           snuggle-truck
Version:        1332494160
Release:        3
Summary:        Physics based driving game
Group:          Amusements/Games
License:        Commercial
URL:            http://snuggletruck.com
# 4448e21b4705a8a1235a27a995a3dd11  Snuggletruck_linux-1332494160.zip
Source0:        Snuggletruck_linux-%{version}.zip
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       alsa-plugins-pulseaudio%{?_isa}
Requires:       libcurl%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
ExclusiveArch:  i686

%description
Snuggle Truck is an over-the-top physics-based driving game where you must save
your cargo full of fuzzy animals from extinction by delivering them to the zoo
in the least amount of time. Tilt your truck, catch cute fuzzies, drive over
armadillos and rocket your way through hills, caverns, deserts, and forests to
save the animals!


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Snuggle Truck
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -m 0755 SnuggleTruckLinux_executable %{buildroot}%{_datadir}/%{name}/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}
install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Sep 25 2013 RPMBuilder <> 1332494160-3
- Added some missing deps which should help with sound
- Various spec clean-ups

* Sun Apr 01 2013 RPMBuilder <> 1332494160-2
- Added missing dependency on libcurl

* Thu Mar 29 2012 RPMBuilder <> 1332494160-1
- Initial Release
