# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider, as we do not want to any bundled
# items to provide dependencies, although we remove bundles where possible
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house minmaxgames


Name:           spaz
Version:        1.605
Release:        1
Summary:        Space Pirates and Zombies space combat game
Group:          Amusements/Games
License:        Commercial
URL:            http://spacepiratesandzombies.com
# 9b2f28009949f2dff9f3a737e46fabfd  spaz-linux-humblebundle-09182012-bin
Source0:        %{name}-linux-humblebundle-09182012-bin
NoSource:       0
# The -devel package is because it wrongly uses the unversioned .so (its dlopened)
BuildRequires:  desktop-file-utils
Requires:       mesa-libGL%{?_isa}
Requires:       openal-soft-devel%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
Requires:       webclient
Requires:       xdg-utils
ExclusiveArch:  i686

%description
At its core, Space Pirates and Zombies is an action based, skill oriented, top
down space combat game.  It's similar to the ones we knew and loved in years
past, but now using full physics simulation and modern graphics for those oh so
pretty explosions.  But as you dig deeper, SPAZ becomes much more.


%prep
%setup -Tqcn %{name}-%{version}

# We are actually unpacking a mojo setup binary here. We need to force a true
# result so rpm does not fail as zip warns about superfluous data at the
# start and returns a non-zero result. That warning can be ignored.
echo "YOU CAN INGORE THE WARNING: extra bytes at beginning or within zipfile"
true `unzip -qq %{SOURCE0}`


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Space Pirates and Zombies
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ArcadeGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

install -m0755 data/SPAZ %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 data/SPAZ.png %{buildroot}%{_datadir}/%{name}/%{name}.png

cp -a data/{common,game,mods,audio.so} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%doc data/README-linux.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Wed Sep 26 2012 RPMBuilder <> - 1.605-1
- Initial Release
