# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# We need to exclude some requires as they are bundled.
%global __requires_exclude ^libmono\\.so

# The software house
%global house swingswingsubmarine

# Source base
%global sbase tetrobot


Name:           tetrobot-and-co
Version:        1.0.12
Release:        1
Summary:        Puzzle platform game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.swingswingsubmarine.com/games/tetrobot-and-co/
# 44668377fc20dfbdd243375a0d5b9ab9  TetrobotandCo.1.0.12linux.zip
Source0:        TetrobotandCo.%{version}linux.zip
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
Tetrobot is the most popular and robust driller robot on earth, but perfection
does not exist. That's why I, Maya, created its microscopic brother: Psychobot.
Help me guide it inside Tetrobot's gears and circuits: by absorbing blocks of
matter and throwing them around, we can fix everything. Learn how pipes, lasers
and other electronic devices work, where valuable memory blocks are hidden and
how you can transform slimes. The owners of damaged Tetrobots from all over the
world count on us, cause we are the only people who can fix their beloved
robots.


%prep
%setup -qcn %{name}-%{version}
# Ridding the spaces helps objdump & strip
mv Tetrobot\ and\ Co.\ 1.0.12\ linux %{sbase}
find %{sbase} -type d -exec chmod 0755 '{}' \;
find %{sbase} -type f -exec chmod 0644 '{}' \;
mv %{sbase}/Tetrobot\ and\ Co.x86 %{sbase}/%{name}
chmod 0755 %{sbase}/%{name} %{sbase}/Data/Mono/x86/libmono.so


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Tetrobot and Co
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;LogicGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a %{sbase}/Data %{buildroot}%{_datadir}/%{name}
install -p -m0755 %{sbase}/%{name} %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{sbase}/Data/Resources/UnityPlayer.png \
                %{buildroot}%{_datadir}/%{name}/%{name}.png

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Apr 04 2015 RPMBuilder <> 1.0.12-1
- Initial Release
