# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# CAUTION: BUILDING THIS RPM REQUIRES A LARGE AMOUNT OF STORAGE. ENSURE YOU
# HAVE AT LEAST 9GB FREE WHERE YOUR RPMBUILD DIRECTORIES ARE LOCATED

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house inxile


Name:           the-bards-tale
Version:        0.0
Release:        1
Summary:        3D first person role-playing game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.thebardstale.com
# bfc4afbf3f53485ee428a7bc22773d59  TheBardsTale_Linux_1381813411.tar.gz
Source0:        TheBardsTale_Linux_1381813411.tar.gz
Source1:        %{name}.png
NoSource:       0
BuildRequires:  chrpath
BuildRequires:  desktop-file-utils
Requires:       libXcursor%{?_isa}
Requires:       mesa-dri-drivers%{?_isa}
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
The Bard is more than just a reluctant hero - he is an unwilling, rude, greedy
and slightly horny hero with an undying love for women, wine, wit and song.
Play as the lovable rogue, Bard, who treks through villages completing quests
to support his vices and fatten his pockets. Modeled as a traditional
role-playing game, The Bard’s Tale presents provocative tongue-in-cheek humor
to keep you entertained and splitting at the seams.


%prep
%setup -qcn %{name}-%{version}
# Strip the rpath. We still continue even if it fails because partly it's
# not critical but also because building the 32bit RPM on a 64bit system
# only has access to the 64bit version of chrpath, we cannot strip 32bit
# binaries. But in all other scenarios it should work without issue
chrpath -d The\ Bard\'s\ Tale/BardTale || :

# Some clean ups
find . -name "*.DS_Store" -exec rm -f '{}' \;
find . -name "*~" -exec rm -f '{}' \;

# Remove bundled libs
rm -f The\ Bard\'s\ Tale/res/{libXpm.so.4,libopenal.so.1}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=The Bard's Tale
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;RolePlaying;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
# Game must be launched from the cwd
pushd %{_datadir}/%{name} >/dev/null
./%{name} "\$@"
popd >/dev/null
EOF


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a The\ Bard\'s\ Tale/{movies,res} %{buildroot}%{_datadir}/%{name}
install -m0755 The\ Bard\'s\ Tale/BardTale %{buildroot}%{_datadir}/%{name}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Oct 26 2013 RPMBuilder <> - 0.0-1
- Initial Release
