# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure we do not become a provider of anything bundled in this RPM
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house studiofizbin

# Source base
%global sbase Linux


Name:           the-inner-world
Version:        1.7.0
Release:        1
Summary:        Hand drawn classic adventure game
Group:          Amusements/Games
License:        Commercial
URL:            http://www.theinnerworld.de
# 9db2ee51aa58c906f1e961dac54b0147  theinnerworld_Linux.zip
Source0:        theinnerworld_Linux.zip
Source1:        %{name}.png
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       java >= 1.7.0
Requires:       pulseaudio-libs%{?_isa}
BuildArch:  noarch

%description
Solve plenty of challenging puzzles with Robert and Laura in the twisted world
of Asposia. Experience an atmospheric and humorous story full of bizarre
characters. Asposia is a mysterious world. Surrounded by endless soil and
against all laws of physics, Asposia is located in an enormous hollow space
which is ventilated solely through three big wind fountains. In this world
lives Robert, a naive and cheerful novice of the last wind monestary. He lives
quite an introspective simple life as court musician in the shadows of his
honored master and ideal, Conroy. This changes abruptly when suddenly one
fountain after another runs dry and the Windgods befall peaceful Asposia. Now
just Robert is in the center of unexpected events! Together with the mysterious
thief Laura, with best intentions and not the slightest clue, Robert hits the
road to solve the secret behind the disappearance of the winds. During his
adventure he not only meets bizarre Asposians, but also really strange animals.
In addition, Robert has to solve tricky puzzles which could only exist in
Asposia.


%prep
%setup -qcn %{name}-%{version}
find %{sbase} -type d -exec chmod 0755 '{}' \;
find %{sbase} -type f -exec chmod 0644 '{}' \;
find %{sbase} -iname ".DS_Store" -exec rm -f '{}' \;


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=The Inner World
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;AdventureGame;
EOF

# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
java -jar TheInnerWorld.jar "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/%{name} \
         %{buildroot}%{_datadir}/applications

cp -a %{sbase}/* %{buildroot}%{_datadir}/%{name}
install -p -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -p -m0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{house}-%{name}.desktop


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sat Apr 04 2015 RPMBuilder <> 1.7.0-1
- Initial Release
