# THIS RPM WAS NOT PRODUCED BY HUMBLE BUNDLE OR THE GAME'S DEVELOPER(S).
# Please DO NOT submit bug reports about this game to Humble Bundle or the
# Game's Developers, unless you can also reproduce that bug using the original
# installer. If you are unsure, please submit the bug to us first.
# You are only entitled to install this RPM, if you bought the game.

# Ensure this RPM is not a dependency provider
AutoProv: no

# Disable any chance of generating a debuginfo package as we cannot use it
%global debug_package %{nil}

# Disable rpath checking. We cannot do much about it with closed source
%global __arch_install_post /usr/lib/rpm/check-buildroot

# The software house
%global house tributegames

# Regularised name
%global rname wizorb


Name:           wizorb32
Version:        1.1
Release:        2
Summary:        Retro style twist based on the classic game Breakout
Group:          Amusements/Games
License:        Commercial
URL:            http://www.wizorb.com
# de2bb220cd787abee4e1b53cd8a9bbc5  wizorb-32bit.tar.gz
Source0:        %{rname}-32bit.tar.gz
NoSource:       0
BuildRequires:  desktop-file-utils
Requires:       mono-core
Requires:       pulseaudio-libs%{?_isa}
ExclusiveArch:  i686

%description
The once peaceful Kingdom of Gorudo is threatened by an evil presence. The only
hope for salvation is Cyrus, a wizard versed in a secret magic art called
Wizorb! Explore many strange places from the derelict monster infested town of
Clover to Gorudo Castle atop Cauldron Peak. Danger lurks around every corner so
you'll need to keep your wits about you and have quick reflexes in order to
survive.


%prep
%setup -qcn %{name}-%{version}


%build
cat >%{name}.desktop <<EOF
[Desktop Entry]
Name=Wizorb (32bit)
Comment=%{summary}
Exec=%{name}
Icon=%{_datadir}/%{name}/%{rname}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF


# Create the wrapper for /usr/bin
cat >%{name}.wrapper <<EOF
#!/bin/bash
# Simple wrapper script to launch %{name}
#
pushd %{_datadir}/%{name} >/dev/null
./Wizorb "\$@"
popd >/dev/null
EOF


%install
mkdir -p %{buildroot}%{_bindir} \
         %{buildroot}%{_datadir}/applications \
         %{buildroot}%{_datadir}/%{name}

cp -a %{rname}/* %{buildroot}%{_datadir}/%{name}

desktop-file-install --vendor %{house} \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{name}.desktop

install -m 0755 %{name}.wrapper %{buildroot}%{_bindir}/%{name}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{house}-%{name}.desktop


%changelog
* Sun Sep 30 2012 RPMBuilder <> 1.1-2
- Added missing dependency on mono-core

* Wed Sep 26 2012 RPMBuilder <> 1.1-1
- Initial Release
